export interface CartesianCoordinate {
    x: number;
    y: number;
    z?: number;
}
export declare class PageVector {
    from: CartesianCoordinate;
    to: CartesianCoordinate;
    constructor(from: CartesianCoordinate, to: CartesianCoordinate);
    get length(): number;
    get direction(): "forward" | "backward" | "right" | "left" | "up" | "down";
}
export declare function getSwipeVector(from: CartesianCoordinate, to: CartesianCoordinate, threshold?: number): PageVector;
export declare function durationOf(type: 'transition' | 'animation', element: HTMLElement): number;
export declare function watchMotion<T extends Event>(type: 'transition' | 'animation', element: HTMLElement): Promise<any>;
export declare function transitIn(element: HTMLElement, className: string, display?: string): Promise<TransitionEvent>;
export declare function animateIn(element: HTMLElement, className: string, display?: string): Promise<AnimationEvent>;
export declare function transitOut(element: HTMLElement, className: string, remove?: boolean): Promise<void>;
export declare function animateOut(element: HTMLElement, className: string, remove?: boolean): Promise<void>;
